<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xBuscar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsIndicadorVentas($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'comboMes');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS() {		
		if (xajax.$("emp") && xajax.$("emp").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");
			xajax.$("emp").focus()
			return (false); 
			}
		else if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ANIO");
			xajax.$("anio").focus()
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");
			xajax.$("mes").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'));
			}		
		}
</script>
<?php		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	}
?>